
QGIS Application - Bug report #1085

layer's SRS not recognized (at *first load* only)

2008-05-13 05:55 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11145

Description

Even if the layer's SRS is not prone to bug #1079, as described in #1079 comment:2, QGIS fails to recognize the layer's SRS at each 

first, but only at first load. Example:

The attached layer is in EPSG:32633, which is in proj4 lingo:

+proj=utm +zone=33 +ellps=WGS84 +datum=WGS84 +units=m +no_defs

the layer's ogrinfo output confirms:

$ ogrinfo -al -so sample_utm33n

INFO: Open of @sample_utm33n'

      using driver @ESRI Shapefile' successful.

Layer name: area

Geometry: Polygon

Feature Count: 1

Extent: (564573.435057, 5660045.542715) - (633165.320045, 5739296.325524)

Layer SRS WKT:

PROJCS["WGS_1984_UTM_Zone_33N",

    GEOGCS["GCS_WGS_1984",

        DATUM["WGS_1984",

            SPHEROID[[WGS_1984]],

        PRIMEM[[Greenwich]],

        UNIT[[Degree]],

    PROJECTION[[Transverse_Mercator]],

    PARAMETER[[latitude_of_origin]],

    PARAMETER[[central_meridian]],

    PARAMETER[[scale_factor]],

    PARAMETER[[false_easting]],

    PARAMETER[[false_northing]],

    UNIT[[Meter]]

cat: Real (11.0

Quit any QGIS instances you running. Load the shapefile into QGIS. Depending on your setting in Settings > Options > Projection,

QGIS will assign your default SRS or it will prompt you to pick on from the list - which means that QGIS fails to recognize the layer's SRS.

Interstingly, at each subsequent loading of the same layer this problem does not take place anymore!
I suspect this is a QGIS issue. If it's down to GDAL or anything else please forward the ticket where it belongs.

History

#1 - 2008-06-09 02:50 AM - Maciej Sieczka -

- Resolution set to worksforme

- Status changed from Open to Closed

The bug is gone. I don't know why exactly. I cannot find anything possibly related in recent QGIS SVN comits. But I might be wrong (not C++ savvy I am).

Closing it for now.

#2 - 2008-06-09 03:58 AM - Jürgen Fischer

Replying to [comment:1 msieczka]:

The bug is gone. I don't know why exactly. I cannot find anything possibly related in recent QGIS SVN comits. But I might be wrong (not C++ savvy I

am). Closing it for now.

maybe commit:2b3bb91e (SVN r8593)

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted

Files

sample_utm33n.zip 73.2 KB 2008-05-13 Maciej Sieczka -
